> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggest



## OpenAPI

````yaml /openapi.json get /search/suggest
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /search/suggest:
    get:
      tags:
        - search
      summary: Suggest
      operationId: SearchController_suggest
      parameters:
        - name: count
          required: false
          in: query
          description: the number of items to return
          schema:
            default: 10
            type: number
        - name: property
          required: true
          in: query
          schema:
            type: string
        - name: direction
          required: false
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: entityType
          required: true
          in: query
          schema:
            type: string
            enum:
              - PAYMENT_METHOD
              - PAYMENT
              - POLICY
              - CUSTOMER
              - ASSET
              - INVOICE
              - DOCUMENT
              - SIGNATURE
              - TENANT
              - PRODUCT
              - QUOTE
              - BROKERAGE_FIRM
              - CLAIM
              - EXTERNAL_SERVICE
              - NOTIFICATION
              - PREMIUM_SCHEDULE
              - CHECK
              - ALERT
              - DISTRIBUTION_REQUEST
              - DEROGATION
              - BROKERAGE_FEE
              - COMMENT
              - CONVERSATION
              - CONVERSATION_MESSAGE
        - name: queryString
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestOutput'
components:
  schemas:
    SuggestOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            type: string
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page

````